package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 钱包对象 wallet
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public class Wallet extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 钱包编号 */
    private Long id;

    /** 钱包金额 */
    @Excel(name = "钱包金额")
    private Long price;

    /** 交易明细编号 */
    @Excel(name = "交易明细编号")
    private Long tid;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPrice(Long price) 
    {
        this.price = price;
    }

    public Long getPrice() 
    {
        return price;
    }
    public void setTid(Long tid) 
    {
        this.tid = tid;
    }

    public Long getTid() 
    {
        return tid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("price", getPrice())
            .append("tid", getTid())
            .toString();
    }
}
